We 💜 contributions
-------------------

While we love contributions, we also need to ensure that our library is of great quality. Thus we require you to follow some simple guidelines when you're submitting your contributions.

## Reporting Issues and Asking Questions

Before opening an issue, please search the [issue tracker](https://github.com/egeriis/zipcelx/issues) to make sure your issue hasn’t already been reported.

## Development

Visit the [issue tracker](https://github.com/egeriis/zipcelx/issues) to find a list of open issues that need attention.

Fork, then clone the repo:

```
git clone https://github.com/your-username/zipcelx.git
```

### Testing

To run tests:

```
npm run test // Will run tests once
```

To continuously watch and run tests, run the following:

```
npm run test:watch
```

### Linting

To Lint
```
npm run lint
```

### Building

To build run:

```
npm run build
```

### Quality insurance
The `build` command should handle it but always run the `lint` command to ensure we are all developing with the same code standards.

### Submitting a Pull Request

For non-trivial changes, please open an issue with a proposal for a new feature or refactoring before starting on the work. We don’t want you to waste your efforts on a pull request that we won’t want to accept.

On the other hand, sometimes the best way to start a conversation *is* to send a pull request. Use your best judgement!

1. Open a new issue in the [Issue tracker](https://github.com/egeriis/zipcelx/issues)
1. Fork the repo
1. Create a new feature branch based off the `master` branch
1. Create breaking test(s) before implementing any fixes or functionality
1. Make your changes
1. Submit a pull request, referencing any issue that it resolves

Thank you, we 💜 your contributions!
